#include <bits/stdc++.h>
using namespace std;
int n,c,T,m;
bool bk[10],;
vector<int> tr[10],g[10];

int main(){
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	cin >> C >> t;
	while(T--){
		cin >> n >> m;
		for(int i=1;i<n;i++){
			int u,v;
			cin >> u >> v;
			tr[u].push_back(i);
			tr[v].push_back(i);
		}for(int i=1;i<=n;i++)
			for(int j:tr[i])
				for(int k:tr[i])
					if(j!=k) g[j].push_back(k);
		
	}
	return 0;
}
